GEGL(1)

NAME
gegl - GEGL library manual page

DESCRIPTION
usage: gegl [options] <file | -- [op [op] ..]>

    Options:

-h, --help
    this help information

--list-all
    list all known operations

--exists
    return 0 if the operation(s) exist

--properties
    output the properties (name, type, description) of the operation

-i, --file
    read xml from named file

-x, --xml
    use xml provided in next argument

--dot
    output a graphviz graph description

-o, --output
    output generated image to named file, type based on extension.

-p  increment frame counters of various elements when processing is done.

-s scale, --scale scale
    scale output dimensions by this factor.

-X  output the XML that was read in

-v, --verbose
    print diagnostics while running

All parameters following -- are considered ops to be chained together into a small composition instead of using an xml file, this allows for easy testing of filters. Be aware that the default value will be used for all properties.

unknown parameter '--version' giving you help instead

usage: gegl [options] <file | -- [op [op] ..]>

    Options:

-h, --help
    this help information

--list-all
    list all known operations

--exists
    return 0 if the operation(s) exist

--properties
    output the properties (name, type, description) of the operation

-i, --file
    read xml from named file

-x, --xml
    use xml provided in next argument

--dot
    output a graphviz graph description

-o, --output
    output generated image to named file, type based on extension.

-p  increment frame counters of various elements when processing is done.

-s scale, --scale scale
    scale output dimensions by this factor.

-X  output the XML that was read in

-v, --verbose
    print diagnostics while running

All parameters following -- are considered ops to be chained together into a small composition instead of using an xml file, this allows for easy testing of filters. Be aware that the default value will be used for all properties.

SEE ALSO
The full documentation for gegl is maintained as a Texinfo manual. If the info and gegl programs are properly installed at your site, the command

    info gegl

should give you access to the complete manual.